Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 777255 (CVE-2021-28831) - <sys-apps/busybox-1.32.1: DoS via malformed gzip data (CVE-2021-28831)
Summary: <sys-apps/busybox-1.32.1: DoS via malformed gzip data (CVE-2021-28831)
Status: RESOLVED FIXED
Alias: CVE-2021-28831
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A3 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-19 12:56 UTC by John Helmert III
Modified: 2021-05-26 08:31 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Helmert III gentoo-dev Security 2021-03-19 12:56:43 UTC
CVE-2021-28831 (https://git.busybox.net/busybox/commit/?id=f25d254dfd4243698c31a4f3153d4ac72aa9e9bd):

decompress_gunzip.c in BusyBox through 1.32.1 mishandles the error bit on the huft_build result pointer, with a resultant invalid free or segmentation fault, via malformed gzip data.


Please cleanup <1.32.0-r1.
Comment 1 Larry the Git Cow gentoo-dev 2021-03-31 22:54:48 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef7c4bacba33dac9ad48e980d68cfe57e2bf6858

commit ef7c4bacba33dac9ad48e980d68cfe57e2bf6858
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2021-03-31 22:54:33 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2021-03-31 22:54:44 +0000

    sys-apps/busybox: security cleanup
    
    Bug: https://bugs.gentoo.org/777255
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 sys-apps/busybox/Manifest                 |   1 -
 sys-apps/busybox/busybox-1.32.0-r1.ebuild | 337 ------------------------------
 2 files changed, 338 deletions(-)
Comment 2 Thomas Deutschmann gentoo-dev Security 2021-05-24 01:10:32 UTC
New GLSA request filed.
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2021-05-26 08:31:49 UTC
This issue was resolved and addressed in
 GLSA 202105-09 at https://security.gentoo.org/glsa/202105-09
by GLSA coordinator Thomas Deutschmann (whissi).